org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfJforCmd

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfJforCmd

    public class RtfJforCmd
    extends RtfContainer

Process "jfor-cmd"

### Field Summary

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`void` `process()` Execute all jfor-cmd commands TODO: Consider creating one class for each jfor command.

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

`addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isEmpty

    public boolean isEmpty()

Overrides:
  `isEmpty` in class `RtfContainer`
Returns:
  true (alway)

#### process

    public void process()

Execute all jfor-cmd commands TODO: Consider creating one class for each jfor command.